GENSYM (CCP4: Supported Program)
================================

NAME
----

**gensym** - generate sites by symmetry

SYNOPSIS
--------

| **gensym** [ **XYZIN** *foo\_in.pdb* ] [ **XYZOUT** *foo\_out.pdb* ]
| [`Keyworded input <#keywords>`__]

DESCRIPTION
-----------

Generate all symmetry-related sites from a list of input atoms, entered
either explicitly (*e.g.* for heavy atom sites) or from a PDB file.

GENSYM may not be suitable for applications where symmetry-related
protein chains are required, since the program constrains the generated
coordinates to lie within a volume which can be no larger than the unit
cell. The `SYMGEN <pdbset.html#symgen>`__ option of PDBSET is the
preferred method for generating symmetry-related protein chains.

.. _keywords:

KEYWORDED INPUT
---------------

Available keywords are:

    `ATOM <#atom>`__, `BROOKHAVEN <#brookhaven>`__,
    `CELL <#cell>`__, `CHAIN <#chain>`__ `END <#end>`__,
    `GRID <#grid>`__, `NOPRINT <#noprint>`__,
    `ORTHOGONALIZATION <#orthogonalization>`__,
    `READ <#read>`__, `RESIDUE <#residue>`__,
    `SORT <#sort>`__, `SPHERE <#sphere>`__,
    `SYMMETRY <#symmetry>`__, `TITLE <#title>`__,
    `XYZLIM <#xyzlim>`__

TITLE <title>
~~~~~~~~~~~~~

Title for the run, written to the output file as a REMARK record.

SYMMETRY <space-group-name \| space-group-number \| symmetry operation>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

| [COMPULSORY]
| Space-group symmetry for the atoms (NOT the Patterson). This may be
  given in 3 ways:-

 (a)
    space-group name
 (b)
    space-group number
 (c)
    symmetry operations as in International Tables, separated by '\*',
    on a series of SYMMETRY lines if necessary, e.g.
    ``SYMMETRY -X,Y,-Z * 1/2+X,1/2+Y,Z``

For options (a) and (b), symmetry operations are read from the library
file SYMOP (see `SYMLIB <symlib.html>`__).

 ORTHOGONALIZATION <ncode>
~~~~~~~~~~~~~~~~~~~~~~~~~~

Vectors are written out to a PDB file in an orthogonal frame defined by
this code. The default is <ncode> = 1, which is the usual frame for
Brookhaven files, so normally this command can be omitted.

XYZLIM <Xmin> <Xmax> <Ymin> <Ymax> <Zmin> <Zmax>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

| Limits of volume, in fractional or grid coordinates. If the limits are
  supplied in grid units then the `GRID <#grid>`__ keyword must also be
  supplied, to set the grid sampling.
| The alternative to XYZLIM is `SPHERE <#sphere>`__.
| Default: 0.0 1.0 0.0 1.0 0.0 1.0

.. _sphere:

SPHERE [ORTHOGONAL] Xcen Ycen Zcen Radius
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

| Define spherical volume (alternative to `XYZLIM <#xyzlim>`__). The
  coordinates of the centre of the sphere are **Xcen** **Ycen**
  **Zcen**, and are in fractional coordinates unless the keyword
  ORTHOGONAL is present. The radius of the sphere is in Å.

CELL <a> <b> <c> <alpha> <beta> <gamma>
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Cell dimensions for orthogonalization (for Brookhaven file). If XYZIN is
assigned then the default is to read the cell dimensions from the CRYST1
record.

GRID <NX> <NY> <NZ>
~~~~~~~~~~~~~~~~~~~

| Sampling intervals along x,y,z, for grid coordinates (used only for
  output listing). The GRID keyword is required by `XYZLIM <#xyzlim>`__,
  if the volume limits have been supplied in grid units.
| Default: 100 100 100

 BROOKHAVEN
~~~~~~~~~~~

| Write Brookhaven file to logical name XYZOUT.
| Default: do not write file.

 RESIDUE <residue\_name>
~~~~~~~~~~~~~~~~~~~~~~~~

Input a residue name for following atoms, until changed, for labelling
output.

ATOM <atomname> <x> <y> <z>
~~~~~~~~~~~~~~~~~~~~~~~~~~~

Input an atom. <atomname> is a 1-character unique identifier for this
site; <x> <y> <z> are the FRACTIONAL coordinates.

.. _read:

 READ [<file\_name>]
~~~~~~~~~~~~~~~~~~~~

Read coordinates from PDB file (containing orthogonal coordinates),
instead of from ATOM commands. The file is read from XYZIN.

 NOPRINT
~~~~~~~~

| Don't print list of sites to output log.
| Default: do.

SORT SYMMETRY \| CHAIN
~~~~~~~~~~~~~~~~~~~~~~

This determines the order in which the symmetry-generated positions are
listed in the output. The options are:

SYMMETRY
    the positions generated from a single target position by different
    symmetry operations will be grouped together. This means that the
    sequence of positions in the input file will be lost.
CHAIN
    all the positions from a single symmetry operation are listed
    together, followed by all those from the next symmetry operation
    etc. This preserves the sequence of positions from the original
    file.

Default: SYMMETRY

.. _chain:

CHAIN SYMMETRY Nsym [orig\_chn] new\_ch
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

This allows symmetry generated atoms from an input pdb file to be
assigned chain names on output. It is based on the
`CHAIN <pdbset.html#chain>`__ option of PDBSET.

Positions generated by symmetry operation **Nsym** (and optionally from
an original position with chain id **orig\_chn**) will be assigned a
chain id of **new\_ch**. If **orig\_chn** is not present then all
positions generated from the specified symmetry operation will be
assigned the requested chain name.

END
~~~

End of input, also end-of-file will do

EXAMPLES
--------

::


    $!
    $! Convert heavy atom coordinates to Brookhaven file
    $!
    $!
    $ gensym xyzout hasites.pdb
    TITLE  A95 sites for X16, X17, X18, X19
    BROOKHAVEN
    SYMMETRY 1
    XYZLIM 0 0.5  0 0.5  0 0.25
    CELL 148.13 148.13 148.13 
    GRID 144 144 144 
    RESIDUE  X16  
    ATOM   A  0.2617  0.2671  0.1936 
    ATOM   B  0.2383  0.2778  0.1908 
    ATOM   C  0.2027  0.2760  0.2161 
    ATOM   D  0.2217  0.2856  0.2043 
    RESIDUE   X17  
    ATOM   A  0.2368  0.1373  0.1435 
    ATOM   B  0.3362  0.3478  0.2257 
    ATOM   C  0.2483  0.1403  0.1189 
    ATOM   D  0.3140  0.3428  0.2415 
    RESIDUE   X18  
    ATOM   A   0.3959  0.1636  0.1751 
    ATOM   B   0.2648  0.3357  0.0835 
    RESIDUE   X19  
    ATOM   A   0.3713  0.1320  0.2208 
    ATOM   B   0.2175  0.3570  0.1147 

AUTHOR
------

Phil Evans, MRC LMB Cambridge, August 1990
